Package org.eclipse.ecf.core.util

# Class ContainerFactoryTracker

java.lang.Object
org.osgi.util.tracker.ServiceTracker
org.eclipse.ecf.core.util.ContainerFactoryTracker

All Implemented Interfaces:
  `ServiceTrackerCustomizer`

public class ContainerFactoryTracker extends ServiceTracker
Service tracker customized to handle tracking the ECF container factory service (singleton).

Since:
  3.1

## Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

## Constructor Summary

Constructors
Constructor
Description
`ContainerFactoryTracker(BundleContext context)`

## Method Summary

Modifier and Type
Method
Description
`IContainerFactory`
`getContainerFactory()`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`addingService, close, getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, modifiedService, open, open, remove, removedService, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContainerFactoryTracker

public ContainerFactoryTracker(BundleContext context)

## Method Details

### getContainerFactory

public IContainerFactory getContainerFactory()